<template>
  <div :id="cid" class="w-full shadow rounded"></div>
</template>

<script lang="ts">
import { LineChart } from "@/charts/LineChart";
import Vue from "vue";

export default Vue.extend({
  props: {
    cid: { type: String, required: true },
    colors: { type: Array, default: () => [] },
    width: { type: String, default: "100%" },
    height: { type: Number, default: 220 }
  },
  mounted() {
    const props = {
      selector: `#${this.cid}`,
      height: this.height,
      colors: this.colors as string[],
      margin: {
        left: 42,
        right: 15,
        top: 20,
        bottom: 40
      }
    };
    new LineChart(props).draw();
  }
});
</script>

<style lang="scss" scoped>
div {
  display: block;
  box-sizing: border-box;
}
</style>
